# Build docker image

    % cd <app source directory>
    % docker build --tag mahesh/mma-ask-app --no-cache .

*Note*: If `--no-cache` is not used, cloning of git repo from the docker file does not work in subsequent builds

# Run docker container

    % docker run --publish 49330:3000 --detach mahesh/mma-ask-app
    7e4dfed65d776e3c8cd8e5c6e970699b561bbbc6f2d63d5d75b7ee68c9672358

# Get a shell in running container

    % docker exec --interactive --tty 7e4dfed65d776e3c8cd8e5c6e970699b561bbbc6f2d63d5d75b7ee68c9672358 /bin/bash

# Manage docker containers

* List running containers

```
    % docker ps
    CONTAINER ID        IMAGE                COMMAND                  CREATED             STATUS              PORTS                     NAMES
    d511b20c73d6        mahesh/mma-ask-app   "docker-entrypoint.s…"   8 minutes ago       Up 8 minutes        0.0.0.0:49330->3000/tcp   upbeat_lederberg
```

* List all docker containrs

```
    % docker ps --all
    CONTAINER ID        IMAGE                COMMAND                  CREATED             STATUS                       PORTS               NAMES
    d511b20c73d6        mahesh/mma-ask-app   "docker-entrypoint.s…"   12 minutes ago      Exited (137) 3 minutes ago                       upbeat_lederberg
    % docker ps --all --quiet
    d511b20c73d6
```

* Stop a running container

```
    % docker stop d511b20c73d6
```

* Remove a container

```
    % docker rm d511b20c73d6
```
